import QtQuick

Rectangle
{
    id: window
    width: 200;
    height: 200
    color: "blue"

    property Component delegate: Rectangle
    {
        color: "orange"
        height: 25
        width: 100
        Text
        {
            anchors.fill: parent
            text: "Item " + index
        }
    }

    Column
    {
        Repeater
        {
            model: 4
            delegate: Loader
            {
                asynchronous: true
                sourceComponent: window.delegate
            }
        }
    }

    //working example

//    Column
//    {
//        Repeater
//        {
//            model: 4
//            delegate: Loader
//            {
//                asynchronous: true
//                sourceComponent: Rectangle
//                {
//                    color: "orange"
//                    height: 25
//                    width: 100
//                    Text
//                    {
//                        anchors.fill: parent
//                        text: "Item " + index
//                    }
//                }
//            }
//        }
//    }
}
